[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Read

Read from the stream.

## Declaration

Source position: classesh.inc line 1041

`public function TStreamAdapter.Read(`
`pv: Pointer;`
`cb: DWORD;`
`pcbRead: PDWord`
`):HRESULT; virtual;`

## Description

Read implements #rtl.types.ISequentialStream.Read by reading from the stream specified at creation.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.ISequentialStream.Read |  | Read data from the stream

Documentation generated on: Feb 26 2014